#property indicator_chart_window

extern double  _mainLine = 0.0;
extern color   _mainColor = Red;
extern color   _levelColor = MediumSeaGreen;
extern int _levelLineThickness=1;
extern int     _levelCount = 4;
extern int     _levelShift = 550;

   string _levelNameUp="";
         // _levelNameDown="";

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   if (_mainLine==0.0) _mainLine=Close[0];
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   int i;
   ObjectDelete("_mainLine");
   for (i=1; i<=_levelCount; i++){
      _levelNameUp=i+"Up";
   //   _levelNameDown=i+"Down";
      ObjectDelete(_levelNameUp);
    //  ObjectDelete(_levelNameDown);
   }
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int    counted_bars=IndicatorCounted();
   int i;
   double _levelUp=_mainLine;
         // _levelDown=_mainLine;

//----
   //ObjectDelete("_mainLine");
   ObjectCreate("_mainLine",OBJ_HLINE,0,0,_mainLine);
   ObjectSet("_mainline", OBJPROP_COLOR,_mainColor);
   
   for (i=1; i<=_levelCount; i++){
      _levelNameUp=i+"Up";
    //  _levelNameDown=i+"Down";
      _levelUp=_levelUp+_levelShift*Point;
   //   _levelDown=_levelDown-_levelShift*Point;
      ObjectDelete(_levelNameUp);
   //   ObjectDelete(_levelNameDown);
      ObjectCreate(_levelNameUp,OBJ_HLINE,0,0,_levelUp);
   //   ObjectCreate(_levelNameDown,OBJ_HLINE,0,0,_levelDown);
      ObjectSet(_levelNameUp,OBJPROP_COLOR,_levelColor);
      ObjectSet(_levelNameUp,OBJPROP_WIDTH,_levelLineThickness);
    //  ObjectSet(_levelNameDown,OBJPROP_COLOR,_levelColor);
   }
   _mainLine=ObjectGet("_mainLine",OBJPROP_PRICE1);
//----
   return(0);
  }
//+------------------------------------------------------------------+